Skip to content

Create dashboards

POST /api/v1/dashboards: request fields and declared response contract.

POST/api/v1/dashboards

Authorization
Permissiondashboard.create
Workspace scoperequired
Scope targetworkspace

Request body

Request body fields
FieldTypeRequiredNullableDefault
namestringrequirednon-null—
descriptionstringoptionalnon-null—
systembooleanoptionalnon-nullfalse

Response

201

Response fields
FieldTypeRequiredNullableDefault
dataobjectrequirednon-null—
data.successbooleanrequirednon-null—
data.dashboardobjectrequirednon-null—
data.dashboard.idstringrequirednon-null—
data.dashboard.namestringrequirednon-null—
data.messagestringrequirednon-null—

Declared failures

Declared failures
FORBIDDEN403 — not retryable
NOT_FOUND404 — not retryable
VALIDATION_ERROR400 — not retryable

Readback

Read the result back with:

  • dashboards.get

Request example

Schematic only. Replace placeholders with real values and include all required nested fields.

POST /api/v1/dashboards HTTP/1.1
Authorization: Bearer <token>
x-merulan-workspace-id: <workspace-id>
Content-Type: application/json

{
  "name": "<name>"
}